### Method

# EBackend UserPrompterServer response

since: 3.8

#### Declaration [src]

    void
    e_user_prompter_server_response (
      EUserPrompterServer* server,
      gint prompt_id,
      gint response,
      const ENamedParameters* extension_values
    )

#### Description [src]

Finishes prompt initiated by a “prompt” signal or an extension prompt. The `response` for non-extension prompts is a 0-based index of a button used to close the prompt.

The `extension_values` is ignored for non-extension prompts.

Available since: 3.8

#### Parameters

`prompt_id`

  Type: `gint`

  Id of a prompt, which was responded.

`response`

  Type: `gint`

  Response of the prompt.

`extension_values`

  Type: `ENamedParameters`

  For extension prompts can pass extra return values.

  The argument can be `NULL`.
  The data is owned by the caller of the method.